Bug 1468455 - [abrt] hplip: qt_message_fatal(): python3.6 killed by signal 6
[abrt] hplip: qt_message_fatal(): python3.6 killed by signal 6
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c63d070a49d9b9920206e3c087a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 03:27 EDT by daramas444
Modified: 2018-05-29 07:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:21:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.34 KB, text/plain)
2017-07-07 03:27 EDT, daramas444
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-07 03:27 EDT, daramas444
no flags Details
File: core_backtrace (21.50 KB, text/plain)
2017-07-07 03:27 EDT, daramas444
no flags Details
File: cpuinfo (1.73 KB, text/plain)
2017-07-07 03:27 EDT, daramas444
no flags Details
File: dso_list (29.84 KB, text/plain)
2017-07-07 03:27 EDT, daramas444
no flags Details
File: environ (3.77 KB, text/plain)
2017-07-07 03:27 EDT, daramas444
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-07 03:27 EDT, daramas444
no flags Details
File: maps (132.05 KB, text/plain)
2017-07-07 03:27 EDT, daramas444
no flags Details
File: open_fds (1.08 KB, text/plain)
2017-07-07 03:27 EDT, daramas444
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-07 03:27 EDT, daramas444
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-07-07 03:27 EDT, daramas444
no flags Details
File: backtrace (64.88 KB, text/plain)
2017-12-18 01:10 EST, MichaelH
no flags Details

  None (edit)
Description daramas444 2017-07-07 03:27:21 EDT
Description of problem:
Try to configure a network printer.
hp-setup crashes

Version-Release number of selected component:
hplip-3.17.4-3.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 3
cmdline:        /usr/bin/python3 /usr/bin/hp-setup
crash_function: qt_message_fatal
executable:     /usr/bin/python3.6
journald_cursor: s=c93df92396f74a61a5f9ed27e01d95f2;i=17c4;b=f5192501b59444c4b7ac7785595a9e46;m=9e428f809;t=553a37b075d2c;x=5aecd7f9016e640a
kernel:         4.11.6-301.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 1 daramas444 2017-07-07 03:27:27 EDT
Created attachment 1295191 [details]
File: backtrace
Comment 2 daramas444 2017-07-07 03:27:30 EDT
Created attachment 1295192 [details]
File: cgroup
Comment 3 daramas444 2017-07-07 03:27:32 EDT
Created attachment 1295193 [details]
File: core_backtrace
Comment 4 daramas444 2017-07-07 03:27:33 EDT
Created attachment 1295194 [details]
File: cpuinfo
Comment 5 daramas444 2017-07-07 03:27:35 EDT
Created attachment 1295195 [details]
File: dso_list
Comment 6 daramas444 2017-07-07 03:27:36 EDT
Created attachment 1295196 [details]
File: environ
Comment 7 daramas444 2017-07-07 03:27:38 EDT
Created attachment 1295197 [details]
File: limits
Comment 8 daramas444 2017-07-07 03:27:41 EDT
Created attachment 1295198 [details]
File: maps
Comment 9 daramas444 2017-07-07 03:27:42 EDT
Created attachment 1295199 [details]
File: open_fds
Comment 10 daramas444 2017-07-07 03:27:44 EDT
Created attachment 1295200 [details]
File: proc_pid_status
Comment 11 daramas444 2017-07-07 03:27:45 EDT
Created attachment 1295201 [details]
File: var_log_messages
Comment 12 Zdenek Dohnal 2017-07-10 04:42:46 EDT
Hi,

thank you for contacting us with your issue. Would you mind trying 'hp-setup -i' for installing your printer? To see if the issue is only with GUI part.
Comment 13 MichaelH 2017-12-18 01:10:51 EST
Similar problem has been detected:

Started HP Device Manager from app icon.
Started hp-setup by clicking on "Setup Device" button.
Selected radio button for "Network/Ethernet/Wireless network...", and clicked "Next >" button.
The printer is found and displayed and selected. Clicked the "Next >" button. 
Some work occurs, then the "Next >" button changes to "Add Printer", so clicked on "Add Printer" button, then app crashes.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/hp-setup -u
crash_function: qt_message_fatal
executable:     /usr/bin/python3.6
journald_cursor: s=fc80314643c742d79dd9f0cf5c316975;i=82d55;b=981ddbe00c8744588b9ef55005a6829f;m=4cc9383b6;t=56096d05005a1;x=5f1b40830336314e
kernel:         4.14.5-200.fc26.x86_64
package:        hplip-3.17.10-3.fc26
reason:         python3.6 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1500
Comment 14 MichaelH 2017-12-18 01:10:55 EST
Created attachment 1369284 [details]
File: backtrace
Comment 15 MichaelH 2017-12-18 02:05:12 EST
(In reply to Zdenek Dohnal from comment #12)
> Hi,
> 
> thank you for contacting us with your issue. Would you mind trying 'hp-setup
> -i' for installing your printer? To see if the issue is only with GUI part.

I was able to run hp-setup -i and the printer queue was created.
However, HP Device Manager indicates a "Device communication error" Code 5012.
Also, printing from an application does not work. Test page from CUPS also does not print.
Comment 16 MichaelH 2017-12-18 05:37:24 EST
(In reply to MichaelH from comment #15)
> (In reply to Zdenek Dohnal from comment #12)
> > Hi,
> > 
> > thank you for contacting us with your issue. Would you mind trying 'hp-setup
> > -i' for installing your printer? To see if the issue is only with GUI part.
> 
> I was able to run hp-setup -i and the printer queue was created.
> However, HP Device Manager indicates a "Device communication error" Code
> 5012.
> Also, printing from an application does not work. Test page from CUPS also
> does not print.

I resolved my network issue.
I removed the printer queue previously setup with 'hp-setup -i'.
Then ran 'hp-setup -i' again and installed printer, printed test page, and everything is good.

Considering my network issue I decided to use HP Device Manager GUI to setup the printer.
First deleted the printer queue that was just setup succefully with 'hp-setup -i'.
Started HP Device Manager from app icon.
Started hp-setup by clicking on "Setup Device" button.
Selected radio button for "Network/Ethernet/Wireless network...", and clicked "Next >" button.
The printer is found and displayed and selected. Clicked the "Next >" button.
The app displayed a window with text box to enter printer physical location,
also checked the box to print test page.
Then clicked on "Add Printer".
The printer queue was created and the test page was printed.
I am able to see the printer queue in HP Device Manager as well as Status, Supplies (ink levels), etc.
So apparently my issue with the GUI was related to my network issue.
Comment 17 Zdenek Dohnal 2017-12-18 07:07:24 EST
Hi Michael,
thank for information - would you mind telling me what network issue it was? So I would be able to reproduce it?
Comment 18 MichaelH 2017-12-18 17:04:15 EST
(In reply to Zdenek Dohnal from comment #17)
> Hi Michael,
> thank for information - would you mind telling me what network issue it was?
> So I would be able to reproduce it?

I have two routers. 
A Linksys WRT1900AC wireless/wired, which assigns IP addresses of 192.168.2.xxx
The other is cable modem/router supplied by ISP, which assigns IP addresses of 192.168.0.xxx

My printer is wirelessly connected to the Linksys router with 192.168.2.149

My laptop is capable of both wireless and wire networks.
At the time of the hp-setup crash the laptop was connected to the modem/router via cable, with the address of 192.168.0.5.
I do not remember if the laptop wireless radio was turned on at that time, but it would have had an address in 192.168.2.xxx.

When running 'hp-setup -i' the app tried to connect to the printer with address 192.168.0.3, how it knew the printer model and yet used that address I do not know. I believe the run of 'hp-setup -u' also was using the address 192.168.0.3 for the printer.

To resolve the issue I turned off the wired network via Network Manager and used only the wireless connection from the laptop to the Linksys router, and ran the printer setup which correctly used the address 192.168.2.149 for the printer.
Comment 19 Fedora End Of Life 2018-05-03 04:02:52 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 20 MichaelH 2018-05-20 00:21:51 EDT
This issue continues to occur in Fedora 28.
Comment 21 Fedora End Of Life 2018-05-29 07:21:34 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.